package com.yeejoin.amos.boot.module.jxiop.api.mapper;

import com.yeejoin.amos.boot.module.jxiop.api.dto.CompanyTreeDto;
import com.yeejoin.amos.boot.module.jxiop.api.entity.HouseholdPvDistrict;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 *  Mapper 接口
 *
 * @author system_generator
 * @date 2023-03-17
 */
public interface HouseholdPvDistrictMapper extends BaseMapper<HouseholdPvDistrict> {

    List<CompanyTreeDto> getList();

    List<CompanyTreeDto> getListByParentId(@Param("bizOrgCode") String bizOrgCode ,@Param("parentId") Long parentId);

    Integer countTreeNodesById(@Param("id") Long id);

    Integer countHouseholdById(@Param("id") Long id);

    List<Long> selectIds(@Param("bizOrgCode")String bizOrgCode );

}
